<?php
declare(strict_types=1);

namespace App\Entity\Product;

use App\Entity\Core\Tagg;
use App\Entity\Organization\Organization;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
#[ORM\MappedSuperclass]
abstract class AbstractProduct
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    protected ?int $id = null;

    #[ORM\ManyToOne]
    protected Organization $organization;

    public function getId(): ?int
    {
        return $this->id;
    }
}